## gnuradio 3.10.8.0

=== CMakeLists.txt ===
# Copyright 2011-2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

# Select the release build type by default to get optimization flags.
# This has to come before project() which otherwise initializes it.
# Build type can still be overridden by setting -DCMAKE_BUILD_TYPE=
set(CMAKE_BUILD_TYPE
    "Release"
    CACHE STRING "")

########################################################################
# Project setup
########################################################################
# Make sure this version matches ${GR_CMAKE_MIN_VERSION} (a variable can't be
# used here).
cmake_minimum_required(VERSION 3.8)
project(gnuradio CXX C)
enable_testing()
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add more build types and check that requested build type is valid
include(GrBuildTypes)
gr_check_build_type(${CMAKE_BUILD_TYPE})
message(STATUS "Build type set to ${CMAKE_BUILD_TYPE}.")

# Set the build date
string(TIMESTAMP BUILD_DATE "%a, %d %b %Y %H:%M:%SZ" UTC)
string(TIMESTAMP BUILD_DATE_SHORT "%Y-%m-%d" UTC)
message(STATUS "Build date set to ${BUILD_DATE}.")

include(GrComponent)

# Set the version information here
# cmake-format: off
SET(VERSION_MAJOR 3)
SET(VERSION_API   10)
SET(VERSION_ABI   8)
SET(VERSION_PATCH 0)
include(GrVersion) #setup version info
# cmake-format: on

#Set minimum version requirements
include(GrMinReq)

########################################################################
# Setup Boost for global use (within this build)
# Do this before enabling testing support, as it depends
# on unit_test_framework
########################################################################
include(GrBoost)
gr_register_component("testing-support" ENABLE_TESTING Boost_UNIT_TEST_FRAMEWORK_FOUND)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Set wiki block docs url prefix used in grc-docs.conf (block name gets appended to end of this string)
set(GRC_DOCS_URL_PREFIX "https://wiki.gnuradio.org/index.php/")

########################################################################
# Environment setup
########################################################################
if(NOT DEFINED BOOST_ROOT)
    set(BOOST_ROOT "${CMAKE_INSTALL_PREFIX}")
endif()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
set(EXPORT_FILE ${PROJECT_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE} ) #blank the file (subdirs will append)

########################################################################
# Incorporate CMake function/macros overloading.
########################################################################

include(CMakeOverloads)

########################################################################
# Compiler settings
########################################################################

include(GrCompilerSettings)

# Record Compiler Info for record
string(TOUPPER ${CMAKE_BUILD_TYPE} GRCBTU)
set(COMPILER_INFO "")
if(MSVC)
    if(MSVC_VERSION LESS "${MSVC_MIN_VERSION}")
        message(FATAL_ERROR "MSVC Versions < minimum version ${MSVC_MIN_VERSION}")
    endif()
    set(cmake_c_compiler_version ${MSVC_VERSION})
    set(cmake_cxx_compiler_version ${MSVC_VERSION})
else()
    execute_process(COMMAND ${CMAKE_C_COMPILER} --version
                    OUTPUT_VARIABLE cmake_c_compiler_version)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} --version
                    OUTPUT_VARIABLE cmake_cxx_compiler_version)
endif(MSVC)
set(COMPILER_INFO
    "${CMAKE_C_COMPILER}:::${CMAKE_C_FLAGS_${GRCBTU}} ${CMAKE_C_FLAGS}\n${CMAKE_CXX_COMPILER}:::${CMAKE_CXX_FLAGS_${GRCBTU}} ${CMAKE_CXX_FLAGS}\n"
)

# Convert to a C string to compile and display properly
string(STRIP "${cmake_c_compiler_version}" cmake_c_compiler_version)
string(STRIP "${cmake_cxx_compiler_version}" cmake_cxx_compiler_version)
string(STRIP ${COMPILER_INFO} COMPILER_INFO)
message(STATUS "Compiler Version: ${cmake_c_compiler_version}")
message(STATUS "Compiler Flags: ${COMPILER_INFO}")
string(REPLACE "\n" " \\n" cmake_c_compiler_version ${cmake_c_compiler_version})
string(REPLACE "\n" " \\n" cmake_cxx_compiler_version ${cmake_cxx_compiler_version})
string(REPLACE "\n" " \\n" COMPILER_INFO ${COMPILER_INFO})

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

# Install our Cmake modules into $prefix/lib/cmake/gnuradio
# See "Package Configuration Files" on page:
#    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

if(NOT CMAKE_MODULES_DIR)
    set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

# cmake-format: off
SET(GR_RUNTIME_DIR     bin CACHE PATH "Path to install all binaries")
SET(GR_LIBRARY_DIR     lib${LIB_SUFFIX} CACHE PATH "Path to install libraries")
SET(GR_INCLUDE_DIR     include CACHE PATH "Path to install header files")
SET(GR_CMAKE_DIR       ${CMAKE_MODULES_DIR}/gnuradio)
SET(GR_DATA_DIR        share CACHE PATH "Base location for data")
SET(GR_PKG_DATA_DIR    ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package data")
SET(GR_DOC_DIR         ${GR_DATA_DIR}/doc CACHE PATH "Path to install documentation")
SET(GR_PKG_DOC_DIR     ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER} CACHE PATH "Path to install package docs")
SET(GR_MAN_DIR         ${GR_DATA_DIR}/man CACHE PATH "Path to install man pages")
SET(GR_LIBEXEC_DIR     libexec CACHE PATH "Path to install libexec files")
SET(GR_PKG_LIBEXEC_DIR ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package libexec files")
SET(GRC_BLOCKS_DIR     ${GR_PKG_DATA_DIR}/grc/blocks CACHE PATH "Path to install GRC blocks")
SET(GR_THEMES_DIR      ${GR_PKG_DATA_DIR}/themes CACHE PATH "Path to install QTGUI themes")
# cmake-format: on

# Set location of config/prefs files in /etc
# Special exception if prefix is /usr so we don't make a /usr/etc.
set(GR_CONF_DIR
    etc
    CACHE PATH "Path to install config files")
string(COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" isusr)
if(isusr)
    set(SYSCONFDIR
        "/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory")
else(isusr)
    set(SYSCONFDIR
        "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory" FORCE)
endif(isusr)

set(GR_PKG_CONF_DIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install package configs")
set(GR_PREFSDIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install preference files")

option(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" ON)
if(ENABLE_PERFORMANCE_COUNTERS)
    message(STATUS "ADDING PERF COUNTERS")
    set(GR_PERFORMANCE_COUNTERS True)
else(ENABLE_PERFORMANCE_COUNTERS)
    set(GR_PERFORMANCE_COUNTERS False)
    message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

########################################################################
# Variables replaced when configuring the package config files
########################################################################
# cmake-format: off
file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_CMAKE_PATH "\${prefix}"                        exec_prefix)
file(TO_CMAKE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_CMAKE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_CMAKE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_CMAKE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)
# cmake-format: on

if(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_RUNTIME_DIR}" "${prefix}")
else(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_LIBRARY_DIR}" "${prefix}")
endif(WIN32)
file(RELATIVE_PATH SYSCONFDIR_relative_to_prefix "${prefix}" "${SYSCONFDIR}")
file(RELATIVE_PATH GR_PREFSDIR_relative_to_prefix "${prefix}" "${GR_PREFSDIR}")

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH
            ON
            CACHE BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake @ONLY)

add_custom_target(uninstall ${CMAKE_COMMAND} -P
                            ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

########################################################################
# Enable python component
########################################################################
include(GrPython)
gr_python_check_module_raw("packaging" "import packaging" PACKAGING_FOUND)
if(NOT PACKAGING_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *******")
    message(STATUS "The python package packaging is missing")
    message(STATUS "This package is required for python support")
    message(STATUS "Please install python3-packaging")
    message(STATUS "or run pip3 install packaging")
    message(STATUS "************************************************")
endif()
gr_python_check_module(
    "numpy" numpy
    "LooseVersion(numpy.__version__) >= LooseVersion('${GR_NUMPY_MIN_VERSION}')"
    NUMPY_FOUND)
# Needed for automatic regeneration of some bindings
gr_python_check_module(
    "pygccxml" pygccxml
    "LooseVersion(pygccxml.__version__) >= LooseVersion('${GR_PYGCCXML_MIN_VERSION}')"
    PYGCCXML_FOUND)
if(NOT PYGCCXML_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *************************")
    message(STATUS "pygccxml is highly recommended for using gr_modtool")
    message(STATUS "and is either not present or below the minimum version "
                   ${GR_PYGCCXML_MIN_VERSION})
    message(STATUS "Only trivial bindings will be generated using gr_modtool bind ")
    message(STATUS "******************************************************************")
endif()

find_package(pybind11)
if(pybind11_FOUND)
    if(${pybind11_VERSION} VERSION_LESS ${PYBIND11_MIN_VERSION})
        message(WARNING "pybind11 version ${pybind11_VERSION} < ${PYBIND11_MIN_VERSION}")
        set(pybind11_FOUND False)
    endif()
endif()

include(GrComponent)

=== debian/changelog ===
gnuradio (3.10.8.0-2) unstable; urgency=medium

  * fix typo in gnuradio-doc html url (Closes: #1054347)
  * remove __pycache__ files in clean target (Closes: #1044439)
  * use loong64 arch for thrift dependencies (Closes: #1057458)
  * improve builds without thrift (Closes: #1054331)
  * Use pointers to pass s32fc arguments to VOLK 3.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Dec 2023 11:35:42 -0500

gnuradio (3.10.8.0-1) unstable; urgency=medium

  * New upstream release
  * improved gnuradio-doc

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 20 Oct 2023 19:16:37 -0400

gnuradio (3.10.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Oct 2023 14:48:16 -0400

gnuradio (3.10.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * upload to experimental for ABI bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 07 Oct 2023 17:18:41 -0400

=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends-Indep: doxygen-latex
Build-Depends: cmake (>= 3.16.3),
               debhelper-compat (= 13),
               dh-python,
	       gir1.2-gtk-3.0,
	       gir1.2-pango-1.0,
	       graphviz,
	       libad9361-dev,
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev,
               libcppunit-dev,
               libfftw3-dev,
               libfontconfig-dev,
	       libgmp-dev,
               libgsl-dev,
               libgsm1-dev,
               libiio-dev,
               libjack-jackd2-dev,
	       libjs-mathjax,
               libpulse-dev,
	       libqt5core5a,
	       libqt5opengl5-dev,
	       libqt5svg5-dev,
	       libqwt-qt5-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
	       libsoapysdr-dev,
	       libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
               libuhd-dev (>= 4),
	       libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 loong64 mipsel mips64el powerpc ppc64 ppc64el sh4],
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
	       libvolk-dev,
               libxi-dev,
               libxrender-dev,
               cppzmq-dev [!hurd-i386],
	       ninja-build,
               pkg-config,
               portaudio19-dev,
	       pybind11-dev,
	       python3-click,
	       python3-click-plugins,
               python3-dev,
	       python3-gi,
	       python3-gi-cairo,
	       python3-jsonschema,
               python3-lxml,
               python3-mako,
               python3-numpy,
               python3-opengl,
	       python3-packaging,
	       python3-pygccxml,
	       python3-pyqt5 [!hurd-i386],
	       python3-schema,
               python3-scipy,
	       python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
	       python3-yaml,
               python3-zmq [!hurd-i386],
	       qt5-qmake,
	       qtbase5-dev,
	       qttools5-dev,
	       libspdlog-dev,
	       thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
	       xauth,
               xmlto,
	       xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.gnuradio.org/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gnuradio
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gnuradio.git

Package: gnuradio
Architecture: any
Depends: libjs-mathjax,
	 libvolk-bin,
	 python3-click,
	 python3-click-plugins,
	 python3-gi,
	 python3-gi-cairo,
	 python3-jsonschema,
         python3-lxml,
         python3-mako,
	 python3-numpy,
         python3-opengl,
	 python3-packaging,
	 python3-pygccxml,
	 python3-pyqt5 [!hurd-i386],
	 python3-pyqtgraph,
	 python3-schema,
         python3-sip,
	 python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
	 python3-yaml,
         python3-zmq [!hurd-i386],
	 gnome-terminal|x-terminal-emulator,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
	    python3-pygccxml (>= 2.0),
            python3-matplotlib,
	    python3-networkx,
            python3-pyqt5.qwt,
            python3-scipy,
	    soapysdr-tools
Suggests: gr-fosphor, gr-osmosdr, gqrx-sdr, rtl-sdr, uhd-host
Breaks: gr-soapy, gr-iio
Replaces: gr-soapy, gr-iio
Multi-Arch: foreign
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-mathjax
Multi-Arch: foreign
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and PDF form.
 .
 HTML docs start file:///usr/share/doc/gnuradio-doc/html/index.html
 .
 PDF docs in file:///usr/share/doc/gnuradio-doc/refman.pdf.gz
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Breaks: gr-iio
Replaces: gr-iio
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio (>= ${binary:Version}),
         libboost-date-time${boost-version}-dev,
         libboost-filesystem${boost-version}-dev,
         libboost-program-options${boost-version}-dev,
         libboost-regex${boost-version}-dev,
         libboost-system${boost-version}-dev,
         libboost-test${boost-version}-dev,
         libboost-thread${boost-version}-dev,
         libcppunit-dev,
         libfftw3-dev,
         libgmp-dev,
         libgsm1-dev,
	 libspdlog-dev,
         libvolk-dev,
	 pybind11-dev,
         python3-dev,
	 libthrift-dev [amd64 arm64 armel armhf i386],
         ${misc:Depends}
Suggests: cmake, qtbase5-dev, libqwt-qt5-dev, pkg-config
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-audio3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-blocks3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fec3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-iio3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-network3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio network library
 Library of  blocks that implement UDP and TCP source and
 sink blocks supporting both IPv4 and IPv6.
 Part of the main gnuradio build.

Package: libgnuradio-pdu3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio streaming protocol library
 Protocol Data Units library provides signal processing
 blocks that operate on Protocol Data Unit format messages. Many
 such blocks are analogs of streaming API functionality.
 Part of the main gnuradio build.

Package: libgnuradio-pmt3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pmt container library
 Polymorphic Types are opaque data types that are designed as generic
 containers of data that can be safely passed around between blocks
 and threads in GNU Radio.
 Part of the main gnuradio build.

Package: libgnuradio-qtgui3.10.8
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio Qt graphical user interface functions
 QT-based graphical sinks for gnuradio applications.
 Implements opengl, raster and native plotting methods, and
 supports a QT Style Sheet (QSS) file to adjust the look.
 Part of the main gnuradio build.

Package: libgnuradio-runtime3.10.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc sh4))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@ --with python3 --with numpy3 --buildsystem=cmake+ninja

override_dh_auto_configure:
	cp -r debian/rfnoc_f15 gr-qtgui/lib/
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DENABLE_SYSTEM_DESKTOP=ON -DENABLE_DOXYGEN_PDF=ON

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_install:
	rm -rf debian/tmp/usr/share/doc/gnuradio-doc/xml/License.xml.gz
	dh_auto_install
	rm -f debian/tmp/usr/lib/py*/site-packages/gnuradio/ctrlport/GNURadio/*remotec
	rm -f debian/tmp/usr/lib/py*/site-packages/gnuradio/ctrlport/GNURadio/*remoteo
	rm -f  debian/gnuradio/usr/share/doc/gnuradio/html/*md5
	rm -f  debian/gnuradio-doc/usr/share/doc/gnuradio-doc/html/*md5
	if [ -f debian/tmp/usr/share/doc/gnuradio*/config/thrift.conf.example ] ; then \
	 install -d debian/gnuradio/usr/share/doc/gnuradio/config &&\
	 mv debian/tmp/usr/share/doc/gnuradio*/config/* debian/gnuradio/usr/share/doc/gnuradio/config/ ; fi

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if case "$(DEB_BUILD_ARCH)" in *"i386"*) false;; *"hppa"*) false;; *) true;; esac; then ARGS='--timeout 10' HOME=$(CURDIR)/debian/test xvfb-run dh_auto_test ; fi
	rm -rf debian/test

override_dh_acc:
	- dh_acc $@
	- cat logs/gnuradio-dev/*/log.txt

override_dh_installmime:
	dh_installmime
	rm -f debian/gnuradio/usr/share/mime/packages/gnuradio.xml

override_dh_gencontrol:
	dh_gencontrol -- -Vboost-version=`dpkg-query -W -f='$${Depends}' libboost-date-time-dev| cut -b19- |cut -b-4`

override_dh_auto_clean:
	rm -rf gr-qtgui/lib/rfnoc_f15
	rm -rf docs/doxygen/doxyxml/__pycache__
	rm -rf docs/doxygen/doxyxml/generated/__pycache__
	dh_auto_clean $@

## gnuradio 3.10.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,8 +46,8 @@
 # cmake-format: off
 SET(VERSION_MAJOR 3)
 SET(VERSION_API   10)
-SET(VERSION_ABI   8)
-SET(VERSION_PATCH 0)
+SET(VERSION_ABI   9)
+SET(VERSION_PATCH 0-rc2)
 include(GrVersion) #setup version info
 # cmake-format: on

=== debian/changelog ===
gnuradio (3.10.9.0-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 31 Dec 2023 23:11:50 -0500

gnuradio (3.10.9.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 24 Dec 2023 12:09:35 -0500

gnuradio (3.10.9.0~rc1-3) experimental; urgency=medium

  * time limit test
  * use QT_QPA_PLATFORM=offscreen rather than xvfb-run

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Dec 2023 20:06:11 -0500

gnuradio (3.10.9.0~rc1-2) experimental; urgency=medium

  * always enable tests
  * Revert F15 (Fosphor) Sink

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Dec 2023 07:32:53 -0500

gnuradio (3.10.9.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Upload to erperimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Dec 2023 12:20:25 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	       gir1.2-gtk-3.0,
 	       gir1.2-pango-1.0,
 	       graphviz,
-	       libad9361-dev,
+	       libad9361-dev [linux-any],
                libasound2-dev,
                libboost-date-time-dev,
                libboost-dev,
@@ -25,7 +25,7 @@
 	       libgmp-dev,
                libgsl-dev,
                libgsm1-dev,
-               libiio-dev,
+               libiio-dev [linux-any],
                libjack-jackd2-dev,
 	       libjs-mathjax,
                libpulse-dev,
@@ -44,7 +44,7 @@
 	       libvolk-dev,
                libxi-dev,
                libxrender-dev,
-               cppzmq-dev [!hurd-i386],
+               cppzmq-dev [!hurd-amd64],
 	       ninja-build,
                pkg-config,
                portaudio19-dev,
@@ -60,21 +60,20 @@
                python3-numpy,
                python3-opengl,
 	       python3-packaging,
-	       python3-pygccxml,
-	       python3-pyqt5 [!hurd-i386],
+	       python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+	       python3-pyqt5 [!hurd-amd64],
 	       python3-schema,
                python3-scipy,
 	       python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
 	       python3-yaml,
-               python3-zmq [!hurd-i386],
+               python3-zmq [!hurd-amd64],
 	       qt5-qmake,
 	       qtbase5-dev,
 	       qttools5-dev,
 	       libspdlog-dev,
 	       thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
 	       xauth,
-               xmlto,
-	       xvfb
+               xmlto
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.gnuradio.org/
@@ -95,14 +94,14 @@
 	 python3-numpy,
          python3-opengl,
 	 python3-packaging,
-	 python3-pygccxml,
-	 python3-pyqt5 [!hurd-i386],
+	 python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+	 python3-pyqt5 [!hurd-amd64],
 	 python3-pyqtgraph,
 	 python3-schema,
          python3-sip,
 	 python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
 	 python3-yaml,
-         python3-zmq [!hurd-i386],
+         python3-zmq [!hurd-amd64],
 	 gnome-terminal|x-terminal-emulator,
          ${misc:Depends},
          ${python3:Depends},
@@ -188,7 +187,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-analog3.10.8
+Package: libgnuradio-analog3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -199,7 +198,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-audio3.10.8
+Package: libgnuradio-audio3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -212,7 +211,7 @@
  automatically discover the correct one to use.  Part of the main
  gnuradio build.
 
-Package: libgnuradio-blocks3.10.8
+Package: libgnuradio-blocks3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -223,7 +222,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-channels3.10.8
+Package: libgnuradio-channels3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -234,7 +233,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-digital3.10.8
+Package: libgnuradio-digital3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -245,7 +244,7 @@
  including bpsk, qpsk, gmsk and ofdm signals.
  Part of the main gnuradio build.
 
-Package: libgnuradio-dtv3.10.8
+Package: libgnuradio-dtv3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -256,7 +255,7 @@
  DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fec3.10.8
+Package: libgnuradio-fec3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -268,7 +267,7 @@
  decoders for no-op dummmy, repetition, and convolutional classes.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fft3.10.8
+Package: libgnuradio-fft3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -279,7 +278,7 @@
  Uses single precision FFT from libfftw3-single3.
  Part of the main gnuradio build.
 
-Package: libgnuradio-filter3.10.8
+Package: libgnuradio-filter3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -291,9 +290,9 @@
  PFB arbitrary resampler methods.
  Part of the main gnuradio build.
 
-Package: libgnuradio-iio3.10.8
-Section: libs
-Architecture: any
+Package: libgnuradio-iio3.10.9
+Section: libs
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -307,7 +306,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-network3.10.8
+Package: libgnuradio-network3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -318,7 +317,7 @@
  sink blocks supporting both IPv4 and IPv6.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pdu3.10.8
+Package: libgnuradio-pdu3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -330,7 +329,7 @@
  such blocks are analogs of streaming API functionality.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pmt3.10.8
+Package: libgnuradio-pmt3.10.9
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -342,7 +341,7 @@
  and threads in GNU Radio.
  Part of the main gnuradio build.
 
-Package: libgnuradio-qtgui3.10.8
+Package: libgnuradio-qtgui3.10.9
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -352,9 +351,3 @@
  QT-based graphical sinks for gnuradio applications.
  Implements opengl, raster and native plotting methods, and
  supports a QT Style Sheet (QSS) file to adjust the look.
- Part of the main gnuradio build.
-
-Package: libgnuradio-runtime3.10.8
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}

## gnuradio 3.10.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 SET(VERSION_MAJOR 3)
 SET(VERSION_API   10)
 SET(VERSION_ABI   9)
-SET(VERSION_PATCH 0-rc2)
+SET(VERSION_PATCH 1)
 include(GrVersion) #setup version info
 # cmake-format: on

=== debian/changelog ===
gnuradio (3.10.9.1-2) unstable; urgency=medium

  * remove obsolete and redundant dependency python3-sip (Closes: #1060723)
  * Update to v3.10.9.1-13-gcaab75612
    - better checks before overrunning buffer
    - better bus port handling in grc

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 15 Jan 2024 10:55:30 -0500

gnuradio (3.10.9.1-1) unstable; urgency=medium

  * New upstream release
  - Project
   - Python minimum version is now 3.7.2, vs 3.6.5, to support type hints. Even
     Python 3.7 is EOL, so this is not expected to affect people using newer
     versions of GNU Radio.
   - Add tox.ini, so that editors use the same formatting as github CI.
   - Use pointers to pass s32fc arguments to VOLK in gr-blocks, gr-digital, and
     gr-dtv to avoid undefined behavior. The fix is conditional on VOLK 3.1.0,
     which add a new supporting function.

  - Runtime
   - Disallow None for pmt_t arguments in Python.
   - Support spdlog installations with internal or external libfmt.

  - GRC
   - Use text labels to specify types for block parameters, instead of
     background colors which were difficult to read/remember.
   - Enable setting of documentation URLs, relative or absolute in yaml. This
     allows OOTs to use the documentation link in the block parameter dialog.
   - Disallow use of block ids that are Python keywords and "gnuradio".
   - Add type annotations in some places (required bump to Python 3.7.2).
   - Use C version of YAML loader (yaml.CSafeLoader) for better performance.
   - Connections may have properties for supported connection domains. This
     feature was added for RFNoC connections. Standard stream and message
     connections do not support this feature, but they may in future versions.
   - Check grc file version. The above feature required a version bump to "2".
     Where no connection properties are used, version "1" is still emitted.
     Note that previous versions of GRC do not check for file version. RFNoC
     flowgraphs with connection properties will fail to load in previous
     versions as a result.
   - Fix bug where an impressive number of backslashes were added
     to some filenames.

  - gr-dtv
   - Read expected data as little-endian

  - gr-fec
   - Add FEC_API to CCSDS Reed-Solomon functions so they can be used by OOTs.

  - gr-qtgui
   - QT GUI Msg Push Button: add a callback for Message Value to allow it to
    change at runtime.

  - gr-uhd
   - RFNoC Rx-Streamer: Add start stream options
   - Add back-edge property to RFNoC connections

  - Build system and packaging
   - Update conda build. Re-rendered with conda-build 3.27.0,
     conda-smithy 3.28.0, and conda-forge-pinning 2023.11.07.18.09.01.
   - Use utf-8 encoding when writing files in gr_python_install.

  - Testing
    There has been a great effort to identify why tests fail intermittently,
    or only on certain platforms. This has lead to a number of improved tests,
    and identification of a number of real bugs.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Jan 2024 10:21:00 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends-Indep: doxygen-latex
 Build-Depends: cmake (>= 3.16.3),
+               cppzmq-dev [!hurd-amd64],
                debhelper-compat (= 13),
                dh-python,
-	       gir1.2-gtk-3.0,
-	       gir1.2-pango-1.0,
-	       graphviz,
-	       libad9361-dev [linux-any],
+               gir1.2-gtk-3.0,
+               gir1.2-pango-1.0,
+               graphviz,
+               libad9361-dev [linux-any],
                libasound2-dev,
                libboost-date-time-dev,
                libboost-dev,
@@ -22,57 +23,56 @@
                libcppunit-dev,
                libfftw3-dev,
                libfontconfig-dev,
-	       libgmp-dev,
+               libgmp-dev,
                libgsl-dev,
                libgsm1-dev,
                libiio-dev [linux-any],
                libjack-jackd2-dev,
-	       libjs-mathjax,
+               libjs-mathjax,
                libpulse-dev,
-	       libqt5core5a,
-	       libqt5opengl5-dev,
-	       libqt5svg5-dev,
-	       libqwt-qt5-dev,
+               libqt5core5a,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libqwt-qt5-dev,
                libsdl1.2-dev,
                libsndfile1-dev,
-	       libsoapysdr-dev,
-	       libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
+               libsoapysdr-dev,
+               libspdlog-dev,
+               libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
                libuhd-dev (>= 4),
-	       libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 loong64 mipsel mips64el powerpc ppc64 ppc64el sh4],
+               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 loong64 mipsel mips64el powerpc ppc64 ppc64el sh4],
                libusb-1.0-0-dev [!kfreebsd-any],
                libusb2-dev [kfreebsd-any],
-	       libvolk-dev,
+               libvolk-dev,
                libxi-dev,
                libxrender-dev,
-               cppzmq-dev [!hurd-amd64],
-	       ninja-build,
+               ninja-build,
                pkg-config,
                portaudio19-dev,
-	       pybind11-dev,
-	       python3-click,
-	       python3-click-plugins,
+               pybind11-dev,
+               python3-click,
+               python3-click-plugins,
                python3-dev,
-	       python3-gi,
-	       python3-gi-cairo,
-	       python3-jsonschema,
+               python3-gi,
+               python3-gi-cairo,
+               python3-jsonschema,
                python3-lxml,
                python3-mako,
                python3-numpy,
                python3-opengl,
-	       python3-packaging,
-	       python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
-	       python3-pyqt5 [!hurd-amd64],
-	       python3-schema,
+               python3-packaging,
+               python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+               python3-pyqt5 [!hurd-amd64],
+               python3-schema,
                python3-scipy,
-	       python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
-	       python3-yaml,
+               python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
+               python3-yaml,
                python3-zmq [!hurd-amd64],
-	       qt5-qmake,
-	       qtbase5-dev,
-	       qttools5-dev,
-	       libspdlog-dev,
-	       thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
-	       xauth,
+               qt5-qmake,
+               qtbase5-dev,
+               qttools5-dev,
+               thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
+               xauth,
                xmlto
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -82,40 +82,39 @@
 
 Package: gnuradio
 Architecture: any
-Depends: libjs-mathjax,
-	 libvolk-bin,
-	 python3-click,
-	 python3-click-plugins,
-	 python3-gi,
-	 python3-gi-cairo,
-	 python3-jsonschema,
+Depends: gnome-terminal | x-terminal-emulator,
+         libjs-mathjax,
+         libvolk-bin,
+         python3-click,
+         python3-click-plugins,
+         python3-gi,
+         python3-gi-cairo,
+         python3-jsonschema,
          python3-lxml,
          python3-mako,
-	 python3-numpy,
+         python3-numpy,
          python3-opengl,
-	 python3-packaging,
-	 python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
-	 python3-pyqt5 [!hurd-amd64],
-	 python3-pyqtgraph,
-	 python3-schema,
-         python3-sip,
-	 python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
-	 python3-yaml,
+         python3-packaging,
+         python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
+         python3-pyqt5 [!hurd-amd64],
+         python3-pyqtgraph,
+         python3-schema,
+         python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
+         python3-yaml,
          python3-zmq [!hurd-amd64],
-	 gnome-terminal|x-terminal-emulator,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: gnuradio-dev,
-	    python3-pygccxml (>= 2.0),
             python3-matplotlib,
-	    python3-networkx,
+            python3-networkx,
+            python3-pygccxml (>= 2.0),
             python3-pyqt5.qwt,
             python3-scipy,
-	    soapysdr-tools
-Suggests: gr-fosphor, gr-osmosdr, gqrx-sdr, rtl-sdr, uhd-host
-Breaks: gr-soapy, gr-iio
-Replaces: gr-soapy, gr-iio
+            soapysdr-tools
+Suggests: gqrx-sdr, gr-fosphor, gr-osmosdr, rtl-sdr, uhd-host
+Breaks: gr-iio, gr-soapy
+Replaces: gr-iio, gr-soapy
 Multi-Arch: foreign
 Description: GNU Radio Software Radio Toolkit
  GNU Radio provides signal processing blocks to implement software
@@ -143,7 +142,7 @@
 Package: gnuradio-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-mathjax
+Depends: libjs-mathjax, ${misc:Depends}
 Multi-Arch: foreign
 Description: GNU Software Defined Radio toolkit documentation
  Documentation for the GNU Radio software defined radio system
@@ -173,13 +172,13 @@
          libfftw3-dev,
          libgmp-dev,
          libgsm1-dev,
-	 libspdlog-dev,
+         libspdlog-dev,
+         libthrift-dev [amd64 arm64 armel armhf i386],
          libvolk-dev,
-	 pybind11-dev,
+         pybind11-dev,
          python3-dev,
-	 libthrift-dev [amd64 arm64 armel armhf i386],
          ${misc:Depends}
-Suggests: cmake, qtbase5-dev, libqwt-qt5-dev, pkg-config
+Suggests: cmake, libqwt-qt5-dev, pkg-config, qtbase5-dev
 Description: GNU Software Defined Radio toolkit development
  Header files for the GNU Radio software defined radio system.
  Since GNU Radio is a framework for development of SDR
@@ -343,11 +342,3 @@
 
 Package: libgnuradio-qtgui3.10.9
 Section: libs
-Architecture: kfreebsd-any linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: gnuradio Qt graphical user interface functions
- QT-based graphical sinks for gnuradio applications.
- Implements opengl, raster and native plotting methods, and
- supports a QT Style Sheet (QSS) file to adjust the look.
